Subject: bug#24625: 26.0.50; Local variables list at beginning of a file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2019 15:21:30 +0200

> From: Marco Wahl <[email-masked]>
> Date: Wed, 13 Nov 2019 11:42:19 +0100
> Cc: [email-masked]
> 
> For people who want to keep the first line short this feature could
> help.
> 
> Possibly of interest:
> 
> My motivation asking for this feature was local variables at the bottom
> of outline/Org files.  In my experience for those kind of files, which
> typically consist of some trees, it is rather difficult to keep
> something (here the local variables) at the bottom.  Too easily a
> further tree gets appended at the end of the file or the trees in the
> file get sorted.  On the other hand the top of those kind of files stays
> relatively static.

If this is for Org, perhaps Org could have its own private feature?

In general, having the variables at the beginning will get in the way
of reading the file's contents by humans: you will first need to skip
the variables' section and wonder what does that do there.